# $Id: perl-HTML-ResolveLink.spec 5988 2007-11-13 23:05:22Z dag $
# Authority: dries
# Upstream: Tatsuhiko Miyagawa <miyagawa$bulknews,net>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name HTML-ResolveLink

Summary: Resolve relative links in (X)HTML into an absolute URI
Name: perl-HTML-ResolveLink
Version: 0.05
Release: 1.%{releasetagsuffix}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/HTML-ResolveLink/

Source: http://www.cpan.org/modules/by-module/HTML/HTML-ResolveLink-%{version}.tar.gz
Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)

%description
Resolve relative links in (X)HTML into an absolute URI.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes MANIFEST META.yml
%doc %{_mandir}/man3/HTML::ResolveLink.3pm*
%dir %{perl_vendorlib}/HTML/
#%{perl_vendorlib}/HTML/ResolveLink/
%{perl_vendorlib}/HTML/ResolveLink.pm

%changelog
* Tue Nov 13 2007 Dag Wieers <dag@wieers.com> - 0.05-1 #5988
- Updated to release 0.05.

* Sun Nov 19 2006 Dries Verachtert <dries@ulyssis.org> - 0.03-1
- Initial package.
